/**
 * Copyright (C) 2012 - 2013 Xeiam LLC http; ////xeiam.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions; //
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package com.xeiam.xchange.currency;

/**
 * Global currency symbols
 */
public class Currencies {

  /**
   * Private constructor so it cannot be instantiated
   */
  private Currencies() {

  }

  /**
   * Currencies
   */
  public static final String AED = "AED"; // "United Arab Emirates Dirham",
  public static final String AFN = "AFN"; // "Afghan Afghani",
  public static final String ALL = "ALL"; // "Albanian Lek",
  public static final String AMD = "AMD"; // "Armenian Dram",
  public static final String ANG = "ANG"; // "Netherlands Antillean Guilder",
  public static final String AOA = "AOA"; // "Angolan Kwanza",
  public static final String ARS = "ARS"; // "Argentine Peso",
  public static final String AUD = "AUD"; // "Australian Dollar",
  public static final String AWG = "AWG"; // "Aruban Florin",
  public static final String AZN = "AZN"; // "Azerbaijani Manat",
  public static final String BAM = "BAM"; // "Bosnia-Herzegovina Convertible Mark",
  public static final String BBD = "BBD"; // "Barbadian Dollar",
  public static final String BDT = "BDT"; // "Bangladeshi Taka",
  public static final String BGN = "BGN"; // "Bulgarian Lev",
  public static final String BHD = "BHD"; // "Bahraini Dinar",
  public static final String BIF = "BIF"; // "Burundian Franc",
  public static final String BMD = "BMD"; // "Bermudan Dollar",
  public static final String BND = "BND"; // "Brunei Dollar",
  public static final String BOB = "BOB"; // "Bolivian Boliviano",
  public static final String BRL = "BRL"; // "Brazilian Real",
  public static final String BSD = "BSD"; // "Bahamian Dollar",
  public static final String BTC = "BTC"; // Bitcoin
  public static final String BTN = "BTN"; // "Bhutanese Ngultrum",
  public static final String BWP = "BWP"; // "Botswanan Pula",
  public static final String BYR = "BYR"; // "Belarusian Ruble",
  public static final String BZD = "BZD"; // "Belize Dollar",
  public static final String CAD = "CAD"; // "Canadian Dollar",
  public static final String CDF = "CDF"; // "Congolese Franc",
  public static final String CHF = "CHF"; // "Swiss Franc",
  public static final String CLF = "CLF"; // "Chilean Unit of Account (UF)",
  public static final String CLP = "CLP"; // "Chilean Peso",
  public static final String CNY = "CNY"; // "Chinese Yuan",
  public static final String COP = "COP"; // "Colombian Peso",
  public static final String CRC = "CRC"; // "Costa Rican Colón",
  public static final String CUP = "CUP"; // "Cuban Peso",
  public static final String CVE = "CVE"; // "Cape Verdean Escudo",
  public static final String CZK = "CZK"; // "Czech Republic Koruna",
  public static final String DJF = "DJF"; // "Djiboutian Franc",
  public static final String DKK = "DKK"; // "Danish Krone",
  public static final String DOP = "DOP"; // "Dominican Peso",
  public static final String DZD = "DZD"; // "Algerian Dinar",
  public static final String EEK = "EEK"; // "Estonian Kroon",
  public static final String EGP = "EGP"; // "Egyptian Pound",
  public static final String ETB = "ETB"; // "Ethiopian Birr",
  public static final String EUR = "EUR"; // "Euro",
  public static final String FJD = "FJD"; // "Fijian Dollar",
  public static final String FKP = "FKP"; // "Falkland Islands Pound",
  public static final String GBP = "GBP"; // "British Pound Sterling",
  public static final String GEL = "GEL"; // "Georgian Lari",
  public static final String GHS = "GHS"; // "Ghanaian Cedi",
  public static final String GIP = "GIP"; // "Gibraltar Pound",
  public static final String GMD = "GMD"; // "Gambian Dalasi",
  public static final String GNF = "GNF"; // "Guinean Franc",
  public static final String GTQ = "GTQ"; // "Guatemalan Quetzal",
  public static final String GYD = "GYD"; // "Guyanaese Dollar",
  public static final String HKD = "HKD"; // "Hong Kong Dollar",
  public static final String HNL = "HNL"; // "Honduran Lempira",
  public static final String HRK = "HRK"; // "Croatian Kuna",
  public static final String HTG = "HTG"; // "Haitian Gourde",
  public static final String HUF = "HUF"; // "Hungarian Forint",
  public static final String IDR = "IDR"; // "Indonesian Rupiah",
  public static final String ILS = "ILS"; // "Israeli New Sheqel",
  public static final String INR = "INR"; // "Indian Rupee",
  public static final String IQD = "IQD"; // "Iraqi Dinar",
  public static final String IRR = "IRR"; // "Iranian Rial",
  public static final String ISK = "ISK"; // "Icelandic Króna",
  public static final String JEP = "JEP"; // "Jersey Pound",
  public static final String JMD = "JMD"; // "Jamaican Dollar",
  public static final String JOD = "JOD"; // "Jordanian Dinar",
  public static final String JPY = "JPY"; // "Japanese Yen",
  public static final String KES = "KES"; // "Kenyan Shilling",
  public static final String KGS = "KGS"; // "Kyrgystani Som",
  public static final String KHR = "KHR"; // "Cambodian Riel",
  public static final String KMF = "KMF"; // "Comorian Franc",
  public static final String KPW = "KPW"; // "North Korean Won",
  public static final String KRW = "KRW"; // "South Korean Won",
  public static final String KWD = "KWD"; // "Kuwaiti Dinar",
  public static final String KYD = "KYD"; // "Cayman Islands Dollar",
  public static final String KZT = "KZT"; // "Kazakhstani Tenge",
  public static final String LAK = "LAK"; // "Laotian Kip",
  public static final String LBP = "LBP"; // "Lebanese Pound",
  public static final String LKR = "LKR"; // "Sri Lankan Rupee",
  public static final String LRD = "LRD"; // "Liberian Dollar",
  public static final String LSL = "LSL"; // "Lesotho Loti",
  public static final String LTC = "LTC"; // "Litecoin",
  public static final String LTL = "LTL"; // "Lithuanian Litas",
  public static final String LVL = "LVL"; // "Latvian Lats",
  public static final String LYD = "LYD"; // "Libyan Dinar",
  public static final String MAD = "MAD"; // "Moroccan Dirham",
  public static final String MDL = "MDL"; // "Moldovan Leu",
  public static final String MGA = "MGA"; // "Malagasy Ariary",
  public static final String MKD = "MKD"; // "Macedonian Denar",
  public static final String MMK = "MMK"; // "Myanma Kyat",
  public static final String MNT = "MNT"; // "Mongolian Tugrik",
  public static final String MOP = "MOP"; // "Macanese Pataca",
  public static final String MRO = "MRO"; // "Mauritanian Ouguiya",
  public static final String MUR = "MUR"; // "Mauritian Rupee",
  public static final String MVR = "MVR"; // "Maldivian Rufiyaa",
  public static final String MWK = "MWK"; // "Malawian Kwacha",
  public static final String MXN = "MXN"; // "Mexican Peso",
  public static final String MYR = "MYR"; // "Malaysian Ringgit",
  public static final String MZN = "MZN"; // "Mozambican Metical",
  public static final String NAD = "NAD"; // "Namibian Dollar",
  public static final String NGN = "NGN"; // "Nigerian Naira",
  public static final String NIO = "NIO"; // "Nicaraguan Córdoba",
  public static final String NMC = "NMC"; // "Namecoin",
  public static final String NOK = "NOK"; // "Norwegian Krone",
  public static final String NPR = "NPR"; // "Nepalese Rupee",
  public static final String NZD = "NZD"; // "New Zealand Dollar",
  public static final String OMR = "OMR"; // "Omani Rial",
  public static final String PAB = "PAB"; // "Panamanian Balboa",
  public static final String PEN = "PEN"; // "Peruvian Nuevo Sol",
  public static final String PGK = "PGK"; // "Papua New Guinean Kina",
  public static final String PHP = "PHP"; // "Philippine Peso",
  public static final String PKR = "PKR"; // "Pakistani Rupee",
  public static final String PLN = "PLN"; // "Polish Zloty",
  public static final String PYG = "PYG"; // "Paraguayan Guarani",
  public static final String QAR = "QAR"; // "Qatari Rial",
  public static final String RON = "RON"; // "Romanian Leu",
  public static final String RSD = "RSD"; // "Serbian Dinar",
  public static final String RUB = "RUB"; // "Russian Ruble",
  public static final String RUR = "RUR"; // "Old Russian Ruble",
  public static final String RWF = "RWF"; // "Rwandan Franc",
  public static final String SAR = "SAR"; // "Saudi Riyal",
  public static final String SBD = "SBD"; // "Solomon Islands Dollar",
  public static final String SCR = "SCR"; // "Seychellois Rupee",
  public static final String SDG = "SDG"; // "Sudanese Pound",
  public static final String SEK = "SEK"; // "Swedish Krona",
  public static final String SGD = "SGD"; // "Singapore Dollar",
  public static final String SHP = "SHP"; // "Saint Helena Pound",
  public static final String SLL = "SLL"; // "Sierra Leonean Leone",
  public static final String SOS = "SOS"; // "Somali Shilling",
  public static final String SRD = "SRD"; // "Surinamese Dollar",
  public static final String STD = "STD"; // "São Tomé and Príncipe Dobra",
  public static final String SVC = "SVC"; // "Salvadoran Colón",
  public static final String SYP = "SYP"; // "Syrian Pound",
  public static final String SZL = "SZL"; // "Swazi Lilangeni",
  public static final String THB = "THB"; // "Thai Baht",
  public static final String TJS = "TJS"; // "Tajikistani Somoni",
  public static final String TMT = "TMT"; // "Turkmenistani Manat",
  public static final String TND = "TND"; // "Tunisian Dinar",
  public static final String TOP = "TOP"; // "Tongan Paʻanga",
  public static final String TRY = "TRY"; // "Turkish Lira",
  public static final String TTD = "TTD"; // "Trinidad and Tobago Dollar",
  public static final String TWD = "TWD"; // "New Taiwan Dollar",
  public static final String TZS = "TZS"; // "Tanzanian Shilling",
  public static final String UAH = "UAH"; // "Ukrainian Hryvnia",
  public static final String UGX = "UGX"; // "Ugandan Shilling",
  public static final String USD = "USD"; // "United States Dollar",
  public static final String UYU = "UYU"; // "Uruguayan Peso",
  public static final String UZS = "UZS"; // "Uzbekistan Som",
  public static final String VEF = "VEF"; // "Venezuelan Bolívar",
  public static final String VND = "VND"; // "Vietnamese Dong",
  public static final String VUV = "VUV"; // "Vanuatu Vatu",
  public static final String WST = "WST"; // "Samoan Tala",
  public static final String XAF = "XAF"; // "CFA Franc BEAC",
  public static final String XCD = "XCD"; // "East Caribbean Dollar",
  public static final String XDR = "XDR"; // "Special Drawing Rights",
  public static final String XOF = "XOF"; // "CFA Franc BCEAO",
  public static final String XPF = "XPF"; // "CFP Franc",
  public static final String YER = "YER"; // "Yemeni Rial",
  public static final String ZAR = "ZAR"; // "South African Rand",
  public static final String ZMK = "ZMK"; // "Zambian Kwacha",
  public static final String ZWL = "ZWL"; // "Zimbabwean Dollar"

}
